 public class cylinder extends circle
 {
   protected double height;

 public cylinder()
 { super(0.0,0.0,0.0);
   height=0.0;
 }

 public cylinder( double h,circle d)
 { super(d);
   height=h;
 }
 
 public cylinder( double h, double r, double a, double b)
 { super(r,a,b);
   height=h;
 }
 
 public void enterheight (double h )
 { if(h>=0) height=h;
   else height=0; 
 } 

 public double readheight(){return height;}

 public double area()
 {return 2*super.area()+2*Math.PI*radius*height;} 

 public double volume(){return super.area()*height;}

 public String toString()
 {return super.toString()+";height = "+height;}

 public String name(){return "cylinder";}
}